%define name    	beep-media-player-alarm
%define xmmsname	xmms-alarm
%define version		0.3.6
%define bmprelease	bmp1
%define release		0.%{bmprelease}.2mdk

Summary:	An alarm plugin for beep-media-player
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		http://www.snika.uklinux.net/%{xmmsname}/%{xmmsname}-%{version}-%{bmprelease}.tar.bz2
Patch0:		%{xmmsname}-0.3.6-bmp1.configdb.patch.bz2
License:	GPL
Group:		Sound
Url:		http://www.snika.uklinux.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	beep-media-player
BuildRequires:	beep-media-player-devel

%description
beep-media-player-alarm is an alarm plugin to use with beep-media-player
that fades up the volume in the morning and wakes you up.

%prep
%setup -q -n %{xmmsname}-%{version}-%{bmprelease}
%patch0 -p1

%build
%configure --libdir=/%{_libdir}/bmp/General
%make

%install
rm -rf $RPM_BUILD_ROOT

make libdir=$RPM_BUILD_ROOT%{_libdir}/bmp/General install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/bmp/General/*
%doc COPYING INSTALL README

%changelog
* Mon May 24 2004 Olivier Blin <blino@mandrake.org> 0.3.6-0.bmp1.2mdk
- require beep-media-player, since it is the only player
  that can use beep-media-player plugins for now
- reenable libtoolize

* Mon May 10 2004 Olivier Blin <blino@mandrake.org> 0.3.6-0.bmp1.1mdk
- Patch0: - upgrade to beep-media-player configdb system
          - nuke old "beep" naming, replace with "bmp"
- first release based on xmms-alarm
